<div>
    <nav class="navb navbar navbar-expand-md navbar-dark bg-faded">
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto row">
            <!-- active -->
            <li class="nav-item" routerLinkActive="active">
                <a class="nav-link" [routerLink]="['/home']">Regresar</a>
            </li>
            </ul>
        </div>
    </nav>  
<mat-tab-group   [selectedIndex]= "select"  mat-align-tabs="center" class="co" aria-label="Change color">
    <mat-tab label="Productos" >
        <div class="cont container-fluid div1"><br/><br/><br/>
            <div id="divTabla" class="container px-1 py-5 div2">
    
                <div class="d-flex container text-center">
                    <div class="p-2 container">
                        <div>
                            <input type="text" class="form-control w-50" placeholder="Buscar Producto"
                            #txtSearch
                            (keyup)="onSearch( txtSearch.value )"/>
                        </div>
                    </div>
                    <div class="container-fluid ml-auto p-2">
                        <div class="botonNuevo"> 
                            <button (click)="nuevoProd()"
                                type="submit" id="bo" class="btn bo" *ngIf="hasPermission()">
                                Nuevo Producto
                            </button>
                        </div>
                    </div>
                </div><br/>
                <div class="container px-4">
                    <table class="table" id="tablaPag">
                        <thead  *ngIf="listProductos.length > 0" class="table-dark text-center">
                            <tr>
                                <th [ngStyle]="{ 'width': '100px' }">NOMBRE</th>
                                <th [ngStyle]="{ 'width': '50px' }">CATEGORIA</th>
                                <th [ngStyle]="{ 'width': '50px' }">CANTIDAD</th>
                                <th [ngStyle]="{ 'width': '50px' }">COSTO VENTA</th>
                                <th [ngStyle]="{ 'width': '50px' }">COSTO COMPRA</th>
                                <th [ngStyle]="{ 'width': '100px' }">PROVEEDOR</th>                        
                                <th [ngStyle]="{ 'width': '70px' }">OPCIONES</th>
                            </tr>
                        </thead>
                        <tbody class="text-center tbo">
                                    <tr *ngFor="let producto of listProductos | filtro:page:search:0">
                                        <td>{{ producto.name }}</td>
                                        <td>{{ producto.categoria }}</td>
                                        <td>{{ producto.cantidad }}</td>
                                        <td>{{ producto.costo_venta }}</td>
                                        <td>{{ producto.costo_compra }}</td>
                                        <td>{{ producto.proveedor }}</td>                                    
                                        <td>
                                            <div class="row" *ngIf="hasPermission()">
                                                <div class="col"> 
                                                    <button [routerLink]="['/editarProducto', producto._id]"
                                                        (click)="indexProducto()" type="button" class="btn bo1" >
                                                        Editar
                                                    </button>
                                                </div>
                                                <div class="col">
                                                    <button (click)="deleteProducto(producto._id)"  type="button" class="btn bo2">Eliminar</button> 
                                                </div>                                                                               
                                            </div>                                                              
                                        </td>
                                    </tr>
                        </tbody>
                    </table>
                    <nav aria-label="Page navigation example">
                        <ul class="pagination justify-content-center">
                            <li class="page-item">
                            <button class="bo3" (click)="prevPage()">Anterior</button>
                            </li>
                            <li><a style="margin: 25px;"></a></li>
                            <li class="page-item">
                            <button class="bo3" (click)="nextPage()" [disabled]="(listProductos | filtro:page:search:0).length === 0">Siguiente</button>
                            </li>
                        </ul>
                    </nav>                                                           
                </div><br/>
            </div>
        </div>
    </mat-tab>
    
    <mat-tab label="Proveedores" >
        <div class="cont container-fluid div1"><br/><br/><br/>
            <div id="divTabla" class="container px-1 py-5 div2">
    
                <div class="d-flex container text-center">
                    <div class="p-2 container">
                        <div>
                            <input type="text" class="form-control w-50" placeholder="Buscar Proveedor"
                            #txtSearch1
                            (keyup)="onSearch( txtSearch1.value )"/>
                        </div>
                    </div>
                    <div class="container-fluid ml-auto p-2">
                        <div class="botonNuevo"> 
                            <button (click)="nuevoProv()"
                                type="submit" id="bo" class="btn bo" *ngIf="hasPermission()">
                                Nuevo Proveedor
                            </button>
                        </div>
                    </div>
                </div><br/>
                <div class="container px-4">
                    <table class="table" id="tablaPag">
                        <thead  *ngIf="listProveedores.length > 0" class="table-dark text-center">
                            <tr>
                                <th>NOMBRE</th>
                                <th>DIRECCIÓN</th>
                                <th>TELEFONO</th>
                                <th>RUC</th>                   
                                <th>OPCIONES</th>
                            </tr>
                        </thead>
                        <tbody class="text-center tbo">
                                    <tr *ngFor="let proveedor of listProveedores | filtro:page:search:1">
                                        <td>{{ proveedor.nombre }}</td>
                                        <td>{{ proveedor.direccion }}</td>
                                        <td>{{ proveedor.telefono }}</td>
                                        <td>{{ proveedor.ruc }}</td>                                  
                                        <td>
                                            <div class="row" *ngIf="hasPermission()">
                                                <div class="col"> 
                                                    <button [routerLink]="['/editarProveedor', proveedor._id]"
                                                        (click)="indexProveedor()" type="button" class="btn bo1" >
                                                        Editar
                                                    </button>
                                                </div>
                                                <div class="col">
                                                    <button (click)="deleteProveedor(proveedor._id)" type="button" class="btn bo2">Eliminar</button> 
                                                </div>                                                                               
                                            </div>                                                              
                                        </td>
                                    </tr>
                        </tbody>
                    </table>
                    <nav aria-label="Page navigation example">
                        <ul class="pagination justify-content-center">
                            <li class="page-item">
                                <button class="bo3" (click)="prevPage()">Anterior</button>
                                </li>
                                <li><a style="margin: 25px;"></a></li>
                                <li class="page-item">
                                <button class="bo3" (click)="nextPage()"  [disabled]="(listProveedores | filtro:page:search:1).length === 0">Siguiente</button>
                            </li>
                        </ul>
                    </nav>                                                           
                </div><br/>
            </div>
        </div>
    </mat-tab>
    
    <mat-tab label="Compras" *ngIf="hasPermission()">
        <div class="cont container-fluid div1"><br/><br/><br/>
            <div id="divTabla" class="container px-1 py-5 div2">
    
                <div class="d-flex container text-center">
                    <div class="p-2 container">
                        <div>
                            <input type="text" class="form-control w-50" placeholder="Buscar Compra"
                            #txtSearch2
                            (keyup)="onSearch( txtSearch2.value )"/>
                        </div>
                    </div>
                    <div class="container-fluid ml-auto p-2">
                    </div>
                </div><br/>
                <div class="container px-4">
                    <table class="table" id="tablaPag">
                        <thead  *ngIf="listCompras.length > 0" class="table-dark text-center">
                            <tr>
                                <th>FECHA</th>                            
                                <th>VALOR TOTAL</th>                       
                                <th>OPCIONES</th>
                            </tr>
                        </thead>
                        <tbody class="text-center tbo">
                                    <tr *ngFor="let compra of listCompras | filtro:page:search:2">
                                        <td>{{ compra.fecha | date:'short':'IST'}}</td>                                       
                                        <td>{{ compra.valor_total }}</td>                                    
                                        <td>
                                            <div class="" *ngIf="hasPermission()">
                                                <div>
                                                    <button [routerLink]="['/compraCompleta', compra._id]"
                                                       (click)="indexCompra()" type="button" class="btn bo1" >
                                                        Visualizar
                                                    </button> 
                                                </div>                                                                             
                                            </div>                                                              
                                        </td>
                                    </tr>
                        </tbody>
                    </table>
                    <nav aria-label="Page navigation example">
                        <ul class="pagination justify-content-center">
                            <li class="page-item">
                                <button class="bo3" (click)="prevPage()">Anterior</button>
                                </li>
                                <li><a style="margin: 25px;"></a></li>
                                <li class="page-item">
                                <button class="bo3" (click)="nextPage()" [disabled]="(listCompras | filtro:page:search:2).length === 0" >Siguiente</button>
                            </li>
                        </ul>
                    </nav>                                                           
                </div><br/>
            </div>
        </div>
    </mat-tab>

    <mat-tab label="Ventas" *ngIf="hasPermission()">
        <div class="cont container-fluid div1"><br/><br/><br/>
            <div id="divTabla" class="container px-1 py-5 div2">
    
                <div class="d-flex container text-center">
                    <div class="p-2 container">
                        <div>
                            <input type="text" class="form-control w-50" placeholder="Buscar Venta"
                            #txtSearch3
                            (keyup)="onSearch( txtSearch3.value )"/>
                        </div>
                    </div>
                    <div class="container-fluid ml-auto p-2">
                    
                    </div>
                </div><br/>
                <div class="container px-4">
                    <table class="table" id="tablaPag">
                        <thead  *ngIf="listVentas.length > 0" class="table-dark text-center">
                            <tr>
                                <th>FECHA</th>
                                <th>VALOR TOTAL</th>                       
                                <th>OPCIONES</th>
                            </tr>
                        </thead>
                        <tbody class="text-center tbo">
                                    <tr *ngFor="let venta of listVentas | filtro:page:search:3" >
                                        <td>{{ venta.fecha | date:'short':'IST' }}</td>                                        
                                        <td>{{ venta.valor_total }}</td>                                    
                                        <td>
                                            <div class="" *ngIf="hasPermission()">
                                                <div>
                                                    <button [routerLink]="['/ventaCompleta', venta._id]"
                                                        (click)="indexVenta()" type="button" class="btn bo1" >
                                                        Visualizar
                                                    </button> 
                                                </div>                                                                             
                                            </div>                                                              
                                        </td>
                                    </tr>
                        </tbody>
                    </table>
                    <nav aria-label="Page navigation example">
                        <ul class="pagination justify-content-center">
                            <li class="page-item">
                                <button class="bo3" (click)="prevPage()">Anterior</button>
                                </li>
                                <li><a style="margin: 25px;"></a></li>
                                <li class="page-item">
                                <button class="bo3"(click)="nextPage()" [disabled]="(listVentas | filtro:page:search:3).length === 0" >Siguiente</button>
                            </li>
                        </ul>
                    </nav>                                                           
                </div><br/>
            </div>
        </div>
    </mat-tab>
</mat-tab-group>
</div>